SDL_iconv_utf8_ucs2(3)

NAME
SDL_iconv_utf8_ucs2 - Convert a UTF-8 string to UCS-2.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_iconv_utf8_ucs2(S)      (Uint16 *)SDL_iconv_string(UCS-2",UTF-8,S,SDL_strlen(S)+1)

DESCRIPTION
This is a helper macro that might be more clear than calling

SDL_iconv_string
 directly. However, it double-evaluates its parameter, so do not use an expression with side-effects here.

RETURN VALUE
Returns a new string, converted to the new encoding, or NULL on error.

AVAILABILITY
This macro is available since SDL 3.2.0.